Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.adapters
Class TypedBindingAnnotationTestCase

    java.lang.Object
      org.picocontainer.adapters.TypedBindingAnnotationTestCase

    public class TypedBindingAnnotationTestCase

extends Object

Author:
  Paul Hammant

Nested Class Summary
`static interface` | `TypedBindingAnnotationTestCase.Apple`
`static class` | `TypedBindingAnnotationTestCase.AppleImpl1`
`static class` | `TypedBindingAnnotationTestCase.AppleImpl2`
`static class` | `TypedBindingAnnotationTestCase.AppleImpl3`
`static class` | `TypedBindingAnnotationTestCase.AppleImpl4`
`static interface` | `TypedBindingAnnotationTestCase.Braeburn`
`static interface` | `TypedBindingAnnotationTestCase.Bramley`
`static interface` | `TypedBindingAnnotationTestCase.Cox`
`static class` | `TypedBindingAnnotationTestCase.FruitBasket`
`static class` | `TypedBindingAnnotationTestCase.FruitBasketViaConstructor`
`static interface` | `TypedBindingAnnotationTestCase.Granny`

Constructor Summary
`TypedBindingAnnotationTestCase()`

Method Summary
`void` | `testBindingAnnotationsWithConstructorInjection()`
`void` | `testBindingAnnotationsWithMethodInjection()`
`void` | `testBindingAnnotationsWithSetterInjection()`
`void` | `testFieldInjectionWithBindings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedBindingAnnotationTestCase

    public TypedBindingAnnotationTestCase()

Method Detail

### testFieldInjectionWithBindings

    public void testFieldInjectionWithBindings()

### testBindingAnnotationsWithConstructorInjection

    public void testBindingAnnotationsWithConstructorInjection()

### testBindingAnnotationsWithMethodInjection

    public void testBindingAnnotationsWithMethodInjection()

### testBindingAnnotationsWithSetterInjection

    public void testBindingAnnotationsWithSetterInjection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.